# eoRandomSplit< EOT > Class Template Reference

random truncation - batch version More...

`#include <eoReduceSplit.h>`

Inheritance diagram for eoRandomSplit< EOT >:

List of all members.

## Public Member Functions

| eoRandomSplit (eoHowMany _howMany, bool _returnEliminated=false)
| Ctor: must provide amount of reduction, and whether or not you need to return the eliminated guys.
void | operator() (eoPop< EOT > &_newgen, eoPop< EOT > &_eliminated)
| do the job

## Private Attributes

eoHowMany | howMany
bool | returnEliminated

## Detailed Description

### template<class EOT>
class eoRandomSplit< EOT >

random truncation - batch version

Definition at line 124 of file eoReduceSplit.h.

The documentation for this class was generated from the following file:

- eoReduceSplit.h